Subject: Re: bug#4260: 23.1.50; tramp is loading unnecessarily

From: Michael Albinus <[email-masked]>
Date: Thu, 27 Aug 2009 08:38:45 +0200

Stefan Monnier <[email-masked]> writes:

>> Because partial completion is enabled by default in Emacs 23. It wasn't
>> in Emacs 22.
>
> As I said, I think the current behavior is wrong and should be fixed.
> "check if partial-completion is enabled" was a heuristic which worked in
> Emacs-23.  It's not The Right Thing.  So we shouldn't take it as holy
> word and stick to it.  Instead we should revisit it.
> The thing that does matter is that "emacs -Q" should not autoload Tramp when
> you just do C-x C-f /s TAB

That's what I'm working on. Tramp shall not be loaded before you type
"C-x C-f /s: TAB" or "C-x C-f /s@ TAB".

Alternatively, we could introduce another value `remote-completion' (or
something like this) to be added to `completion-styles'. Then a user
must place in her .emacs

  (add-to-list 'completion-styles 'remote-completion)

Which solution do you prefer?

>         Stefan

Best regards, Michael.